/**
 * 
 */
package jalview.io;

import static org.junit.Assert.*;

import java.io.File;
import java.io.IOException;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * @author jimp
 *
 */
public class FileIOTester
{

  /**
   * @throws java.lang.Exception
   */
  @BeforeClass
  public static void setUpBeforeClass() throws Exception
  {
  }

  /**
   * @throws java.lang.Exception
   */
  @AfterClass
  public static void tearDownAfterClass() throws Exception
  {
  }
final static File ALIGN_FILE = new File("test/jalview/io/test_gz_fasta.gz");

  @Test
  public void testGzipIo() throws IOException
  {     
    String uri;
    FileParse fp = new FileParse(uri=ALIGN_FILE.getAbsoluteFile().toURI().toString(),AppletFormatAdapter.URL);
    assertTrue("Couldn't resolve "+uri+" as a valid file",fp.isValid());
    String type = new IdentifyFile().Identify(fp);
    assertTrue("Gzipped data from '"+uri+"' identified as '"+type+"'",type.equalsIgnoreCase("FASTA"));
  }

  @Test
  public void testGziplocalFileIO() throws IOException
  {
    String filepath;
    FileParse fp = new FileParse(filepath=ALIGN_FILE.getAbsoluteFile().toString(), AppletFormatAdapter.FILE);
    assertTrue("Couldn't resolve " + filepath + " as a valid file", fp.isValid());
    String type = new IdentifyFile().Identify(fp);
    assertTrue("Gzipped data from '" + filepath + "' identified as '" + type
            + "'", type.equalsIgnoreCase("FASTA"));
  }
}
